# Uses of Class
org.globus.ftp.FTPClient

Packages that use FTPClient
Package
Description
org.globus.ftp
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.
org.globus.io.urlcopy
This library provides a simple API for transferring a file from one location to another.

## Uses of FTPClient in org.globus.ftp

Subclasses of FTPClient in org.globus.ftp
Modifier and Type
Class
Description
`class`
`GridFTPClient`
This is the main user interface for GridFTP operations.
Methods in org.globus.ftp with parameters of type FTPClient
Modifier and Type
Method
Description
`void`
FTPClient.`transfer(String remoteSrcFile, FTPClient destination, String remoteDstFile, boolean append, MarkerListener mListener)`
Performs third-party transfer between two servers.
`static void`
FTPClient.`transfer(FTPClient source, String remoteSrcFile, FTPClient destination, String remoteDstFile, int mode, MarkerListener mListener)`
Performs third-party transfer between two servers.

## Uses of FTPClient in org.globus.io.streams

Fields in org.globus.io.streams declared as FTPClient
Modifier and Type
Field
Description
`protected FTPClient`
FTPInputStream.`ftp`
`protected FTPClient`
FTPOutputStream.`ftp`

## Uses of FTPClient in org.globus.io.urlcopy

Methods in org.globus.io.urlcopy with parameters of type FTPClient
Modifier and Type
Method
Description
`protected void`
UrlCopy.`negotiateDCAU(FTPClient src, FTPClient dst)`